#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20231130.sql ./mysql/db
cp ../sql/ry_config_20231204.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../Rsflow-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy Rsflow-gateway "
cp ../Rsflow-gateway/target/Rsflow-gateway.jar ./ruoyi/gateway/jar

echo "begin copy Rsflow-auth "
cp ../Rsflow-auth/target/Rsflow-auth.jar ./ruoyi/auth/jar

echo "begin copy Rsflow-visual "
cp ../Rsflow-visual/Rsflow-monitor/target/Rsflow-visual-monitor.jar  ./ruoyi/visual/monitor/jar

echo "begin copy Rsflow-modules-system "
cp ../Rsflow-modules/Rsflow-system/target/Rsflow-modules-system.jar ./ruoyi/modules/system/jar

echo "begin copy Rsflow-modules-file "
cp ../Rsflow-modules/Rsflow-file/target/Rsflow-modules-file.jar ./ruoyi/modules/file/jar

echo "begin copy Rsflow-modules-job "
cp ../Rsflow-modules/Rsflow-job/target/Rsflow-modules-job.jar ./ruoyi/modules/job/jar

echo "begin copy Rsflow-modules-gen "
cp ../Rsflow-modules/Rsflow-gen/target/Rsflow-modules-gen.jar ./ruoyi/modules/gen/jar

